package mdp.rtdp;

import java.io.*;
import java.util.*;

// Converts racetrack diagram to a .fig file
// Use fig2dev to convert to .eps, etc...
public class genBlock {

	public static final int WIDTH = 30;

	public static void main(String[] args) {
	
    	if (args.length != 1) {
     		System.out.println("Must enter block size");
     		System.exit(1);
    	}
    	
    	int size = -1;
    	try {
    		size = Integer.parseInt(args[0]);
    	} catch (NumberFormatException e) {
     		System.out.println("Illegal integer block size: " + args[0]);
     		System.exit(1);   		
    	}
    	
		PrintStream ps = null;
		try {
		    ps = new PrintStream(new FileOutputStream("racetrack/block" + size + ".racetrack"));
	
		    ps.println("discount 1.0");
		    ps.println("errorProbability 0.1");
		    ps.println("useMaxCost 1");
		    ps.println("maxCost 1000");
		    ps.println("useErrorIsWind 1");
		    ps.println("---");
		    
		    ps.println(printTrackLine(ps, size, -1, -1, true));
		    for (int row = 0; row < size; row++) {
		    	if (row == 1) 
		    		ps.println(printTrackLine(ps, size, -1, WIDTH - 2, false));
		    	else if (row == size / 2)
		    		ps.println(printTrackLine(ps, size, WIDTH / 2, -1, false));
		    	else
		    		ps.println(printTrackLine(ps, size, -1, -1, false));
			}
		    ps.println(printTrackLine(ps, size, -1, -1, true));
		    ps.close();
		}
		catch (Exception ignore) {
		    System.out.println("ERROR: " + ignore);
		    System.exit(1);
		}	
	}
	
	public static String printTrackLine(PrintStream ps, int size, int x_start, int x_finish, boolean top_bottom) {
		StringBuffer sb = new StringBuffer("@");
		for (int j = 0; j < WIDTH; j++)
			if (j == x_start)
				sb.append("s");
			else if (j == x_finish)
				sb.append("f");
			else if (top_bottom)
				sb.append("@");
			else
				sb.append(" ");
		sb.append("@");
		return sb.toString();
	}
}
