function [] = plot_pol_rew(track, plot_title, max_time, min_states, max_states, legend_pos, subfig)

% plot_pol_rew('block',5000,0,400000,'SouthEast',0)
% plot_pol_rew('large-ring',4000,20000,75000,'NorthWest',0)
% plot_pol_rew('large-b',4000,20000,70000,'NorthWest',0)
% plot_pol_rew('hall6-w2',900,0,50000,'NorthWest',0)

fontsize = 14;

eval(['load RTDP_',track,'.txt'])
str = ['rtdp=RTDP_',track,';'];
str(find(str == '-')) = '_';
eval(str);
eval(['load BRTDP_',track,'.txt'])
str = ['brtdp=BRTDP_',track,';'];
str(find(str == '-')) = '_';
eval(str);
eval(['load FRTDP_',track,'.txt'])
str = ['frtdp=FRTDP_',track,';'];
str(find(str == '-')) = '_';
eval(str);
eval(['load VPIRTDP_',track,'.txt'])
str = ['vpirtdp=VPIRTDP_',track,';'];
str(find(str == '-')) = '_';
eval(str);

max_vpi = size(vpirtdp,1);

figure(1);

if (subfig > 0)
    subplot(1,3,subfig);
end

hold off
errorbar(vpirtdp(1:3:max_vpi,7),vpirtdp(1:3:max_vpi,2),vpirtdp(1:3:max_vpi,3),vpirtdp(1:3:max_vpi,3),'b.-');
hold on
errorbar(brtdp(:,7),brtdp(:,2),brtdp(:,3),brtdp(:,3),'m*-.');
errorbar(frtdp(:,7),frtdp(:,2),frtdp(:,3),frtdp(:,3),'r+--');
errorbar(rtdp(:,7),rtdp(:,2),rtdp(:,3),rtdp(:,3),'kx:');
if (subfig == 1 || subfig == 0)
    legend('VPI-RTDP','BRTDP','FRTDP','RTDP','FontSize',fontsize,'Location',legend_pos);
end
xlabel('Execution Time (ms)','FontSize',fontsize);
if (subfig == 1)
    ylabel('Average Policy Reward','FontSize',fontsize);
end
%title('Policy Perfomance vs. Execution Time','FontSize',fontsize);
title(plot_title,'FontSize',fontsize);
axis tight;
axis([0,max_time,-205,0]);

print(gcf, '-depsc', [track,'_time.eps']);
fixPSlinestyle([track,'_time.eps'],[track,'_time_fix.eps']);

figure(2);
if (subfig > 0)
    subplot(1,3,subfig);
end

hold off
errorbar(vpirtdp(1:3:max_vpi,5),vpirtdp(1:3:max_vpi,2),vpirtdp(1:3:max_vpi,3),vpirtdp(1:3:max_vpi,3),'b.-');
hold on
errorbar(brtdp(:,5),brtdp(:,2),brtdp(:,3),brtdp(:,3),'m*-.');
errorbar(frtdp(:,5),frtdp(:,2),frtdp(:,3),frtdp(:,3),'r+--');
errorbar(rtdp(:,5),rtdp(:,2),rtdp(:,3),rtdp(:,3),'kx:');
if (subfig == 1 || subfig == 0)
    legend('VPI-RTDP','BRTDP','FRTDP','RTDP','FontSize',fontsize,'Location',legend_pos);
end
xlabel('# Unique States Visited','FontSize',fontsize);
if (subfig == 1)
    ylabel('Average Policy Reward','FontSize',fontsize);
end
%title('Policy Perfomance vs. # States Visited','FontSize',fontsize);
%title(plot_title,'FontSize',fontsize);
axis tight;
axis([min_states,max_states,-205,0]);

print(gcf, '-depsc', [track,'_states.eps']);
fixPSlinestyle([track,'_states.eps'],[track,'_states_fix.eps']);

%figure(3);
%
%hold off
%errorbar(vpirtdp(1:1:max_vpi,6),vpirtdp(1:1:max_vpi,2),vpirtdp(1:1:max_vpi,3),vpirtdp(1:1:max_vpi,3),'b.-');
%hold on
%errorbar(frtdp(:,6),frtdp(:,2),frtdp(:,3),frtdp(:,3),'rx--');
%errorbar(brtdp(:,6),brtdp(:,2),brtdp(:,3),brtdp(:,3),'mo-.');
%errorbar(rtdp(:,6),rtdp(:,2),rtdp(:,3),rtdp(:,3),'k^:');
%legend('VPI-RTDP','FRTDP','BRTDP','RTDP','FontSize',fontsize,'Location','SouthEast');
%xlabel('# Backups','FontSize',fontsize);
%ylabel('Average Policy Reward','FontSize',fontsize);
%title('Policy Perfomance vs. # Backups','FontSize',fontsize);
%axis tight;
%
%print(gcf, '-depsc', [track,'_backups.eps']);
%fixPSlinestyle([track,'_backups.eps'],[track,'_backups_fix.eps']);

