function [] = plotapprox(data, name, filename)

% Get xaxis variables
fontsize = 12;
data(find(data(:,2)==0),2) = Inf;
data(find(data(:,3)==0),3) = Inf;

% Plot time data
subplot(2,1,1);
hold off;
%semilogy(data(:,1),data(:,2),'-ob');
plot(data(:,1),data(:,2)./1000,'-ob');
hold on;
%semilogy(data(:,1),data(:,4),'-xr');
plot(data(:,1),data(:,4)./1000,'-xr');
plot(data(:,1),data(:,6)./1000,'-sg');
plot(data(:,1),data(:,8)./1000,'-vm');
title(['Running Time vs. #Vars for ',name]); %, 'FontSize', fontsize);
xlabel('# Variables'); %, 'FontSize', fontsize);
ylabel('Running Time (seconds)'); %, 'FontSize', fontsize);
legend('Original ADD - Exact','Affine ADD - Exact','Original ADD - Approx','Affine ADD - Approx',2);

% Plot node data
subplot(2,1,2);
hold off;
%semilogy(data(:,1),data(:,3),'-ob');
plot(data(:,1),data(:,3),'-ob');
hold on;
%semilogy(data(:,1),data(:,5),'-xr');
plot(data(:,1),data(:,5),'-xr');
plot(data(:,1),data(:,7),'-sg');
plot(data(:,1),data(:,9),'-vm');
title(['#DD Nodes vs. #Vars for ',name]); %, 'FontSize', fontsize);
xlabel('# Variables'); %, 'FontSize', fontsize);
ylabel('#DD Nodes'); %, 'FontSize', fontsize);
legend('Original ADD - Exact','Affine ADD - Exact','Original ADD - Approx','Affine ADD - Approx',2);

% Export the data
print(gcf, '-dps',  [filename,'.ps']);
print(gcf, '-deps', [filename,'.eps']);
