package mdp.rtdp;

import java.io.*;
import java.util.*;

// Converts racetrack diagram to a .fig file
// Use fig2dev to convert to .eps, etc...
public class race2fig {

    public static final int C = 200;
    
    public static void main(String[] args) {
	
	BufferedReader in = null;
	PrintStream ps = null;
	try {
	    in = new BufferedReader(new FileReader(args[0]));
	    ps = new PrintStream(new FileOutputStream(args[0] + ".fig"));

	    // Discard first five lines
	    int i;
	    for (i = 0; i < 5; i++) in.readLine();
	    
	    ps.println("#FIG 3.2\nLandscape\nCenter\nInches\nLetter\n100.00\nSingle\n-2\n1200 2");

	    // Read each character from each line s and
	    // output appropriate drawing commands to file
	    i = 0;
	    String s;
	    while ((s = in.readLine()) != null) {
		System.out.print(++i + "'");
		for (int j = 0; j < s.length(); j++) {
		    char c = s.charAt(j);
		    String line = "\t" 
			+ C*i + " " + C*j + " "
			+ (C*i + 200) + " " + C*j + " "
			+ (C*i + 200) + " " + (C*j + 200) + " "
			+ C*i + " " + (C*j + 200) + " "
			+ C*i + " " + C*j;
		    switch (c) {
		    case 's':
			ps.println("2 2 0 1 0 2 50 -1 20 0.000 0 0 -1 0 0 5");
			ps.println(line);
			ps.println("4 0 0 50 -1 0 12 0.0000 4 165 135 " + (C*i + 65) + " " + (C*j + 165) + " S\\001");
			break;
		    case 'f':
			ps.println("2 2 0 1 0 4 50 -1 20 0.000 0 0 -1 0 0 5");
			ps.println(line);
			ps.println("4 0 0 50 -1 0 12 0.0000 4 165 135 " + (C*i + 65) + " " + (C*j + 165) + " F\\001");
			break;
		    case 'x':
			ps.println("2 2 0 1 0 0 50 -1 10 0.000 0 0 -1 0 0 5");
			ps.println(line);
			break;
		    case '@':
			ps.println("2 2 0 1 0 0 50 -1 20 0.000 0 0 -1 0 0 5");
			ps.println(line);
			break;
		    default: 
			break;
		    }
		    System.out.print(c);
		}
		System.out.println("'");
	    }
	    in.close();
	    ps.close();
	}
	catch (Exception ignore) {
	    System.out.println("ERROR");
	    System.exit(1);
	}
    }
}
